import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { _HKActivitySummaryType } from "./HKActivitySummaryType.js";
import type { _HKAudiogramSampleType } from "./HKAudiogramSampleType.js";
import type { _HKCategoryType } from "./HKCategoryType.js";
import type { _HKCharacteristicType } from "./HKCharacteristicType.js";
import type { _HKClinicalType } from "./HKClinicalType.js";
import type { _HKCorrelationType } from "./HKCorrelationType.js";
import type { _HKDocumentType } from "./HKDocumentType.js";
import type { _HKElectrocardiogramType } from "./HKElectrocardiogramType.js";
import type { _HKMedicationDoseEventType } from "./HKMedicationDoseEventType.js";
import type { _HKPrescriptionType } from "./HKPrescriptionType.js";
import type { _HKQuantityType } from "./HKQuantityType.js";
import type { _HKScoredAssessmentType } from "./HKScoredAssessmentType.js";
import type { _HKSeriesType } from "./HKSeriesType.js";
import type { _HKStateOfMindType } from "./HKStateOfMindType.js";
import type { _HKUserAnnotatedMedicationType } from "./HKUserAnnotatedMedicationType.js";
import type { _HKWorkoutType } from "./HKWorkoutType.js";
import type { HKCategoryTypeIdentifier } from "./HKCategoryTypeIdentifier.js";
import type { HKCharacteristicTypeIdentifier } from "./HKCharacteristicTypeIdentifier.js";
import type { HKClinicalTypeIdentifier } from "./HKClinicalTypeIdentifier.js";
import type { HKCorrelationTypeIdentifier } from "./HKCorrelationTypeIdentifier.js";
import type { HKDocumentTypeIdentifier } from "./HKDocumentTypeIdentifier.js";
import type { HKQuantityTypeIdentifier } from "./HKQuantityTypeIdentifier.js";
import type { HKScoredAssessmentTypeIdentifier } from "./HKScoredAssessmentTypeIdentifier.js";
export declare class _HKObjectType extends _NSObject {
    static alloc(): _HKObjectType;
    static new(): _HKObjectType;
    init(): _HKObjectType;
    static quantityTypeForIdentifier$(identifier: HKQuantityTypeIdentifier): _HKQuantityType | null;
    static categoryTypeForIdentifier$(identifier: HKCategoryTypeIdentifier): _HKCategoryType | null;
    static characteristicTypeForIdentifier$(identifier: HKCharacteristicTypeIdentifier): _HKCharacteristicType | null;
    static correlationTypeForIdentifier$(identifier: HKCorrelationTypeIdentifier): _HKCorrelationType | null;
    static documentTypeForIdentifier$(identifier: HKDocumentTypeIdentifier): _HKDocumentType | null;
    static scoredAssessmentTypeForIdentifier$(identifier: HKScoredAssessmentTypeIdentifier): _HKScoredAssessmentType | null;
    static seriesTypeForIdentifier$(identifier: _NSString): _HKSeriesType | null;
    static workoutType(): _HKWorkoutType;
    static activitySummaryType(): _HKActivitySummaryType;
    static audiogramSampleType(): _HKAudiogramSampleType;
    static electrocardiogramType(): _HKElectrocardiogramType;
    static medicationDoseEventType(): _HKMedicationDoseEventType;
    static visionPrescriptionType(): _HKPrescriptionType;
    static stateOfMindType(): _HKStateOfMindType;
    static userAnnotatedMedicationType(): _HKUserAnnotatedMedicationType;
    static clinicalTypeForIdentifier$(identifier: HKClinicalTypeIdentifier): _HKClinicalType | null;
    /**
     * @method requiresPerObjectAuthorization @abstract Returns YES if the authorization for the object type needs to be requested on per object basis.
     */
    requiresPerObjectAuthorization(): boolean;
    /**
     * @property identifier @abstract A unique string identifying a type of health object. @discussion See HKTypeIdentifiers.h for possible values.
     * @deprecated HKQuantityType(_:)
     */
    identifier(): _NSString;
}
export interface _HKObjectType extends _NSSecureCoding, _NSCopying {
}
